<%--
@copyright(disclaimer) 
IBM Enterprise Information Portal for Multiplatforms V7.1  (program number  5697-G29)
(c ) Copyright IBM Corp. 1998, 2000. All Rights Reserved.
IBM Content Manager for Multiplatforms V6.1  (program number 5648-D03)
(c ) Copyright IBM Corp. 1994, 2000. All Rights Reserved.

US Government Users Restricted Rights                                  
Use, duplication or disclosure restricted by GSA ADP Schedule          
Contract with IBM Corp.  Licensed Materials - Property of IBM    

DISCLAIMER OF WARRANTIES :                                             
                                                                       
Permission is granted to copy and modify this code, and to           
distribute modified versions provided that both the copyright        
notice and this permission notice appear in all copies and modified  
versions. THIS SAMPLE CODE IS LICENSED TO YOU AS-IS. IBM DISCLAIMS     
ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, IN SUCH SAMPLE CODE. IBM  
WILL NOT BE LIABLE FOR ANY DAMAGES WHATSOEVER RESULTING FROM THE USE 
OF THE CODE.                                                         
                                                                 
@endCopyright       
--%>

<%@ page info="ActionSample.jsp"
         language="java"
         import="com.ibm.mm.beans.*,
                 com.ibm.mm.beans.workflow.*,
                 java.util.*,
                 dk.test.java.beans.workflow.*"
         session="true"
         buffer="8kb"
         autoFlush="true"
         isThreadSafe="true"
         errorPage="error.jsp"
         isErrorPage="false"
         contentType="text/html; charset=iso-8859-1"
         %>
<% response.setDateHeader("Expires",0); %>
<%
  // get connection
  CMBConnection connection = (CMBConnection) session.getValue("connection");
  if ((connection == null) || (!connection.isConnected())) {
    session.invalidate();
    throw new Exception("ActionSample.jsp: You are not currently logged in.");
  }
  //get the parameters
  String workflowname = request.getParameter("workflowname");
  String nodename = request.getParameter("nodename");
  String owner = request.getParameter("owner");
  String calledmyself= request.getParameter("calledmyself");
  if (calledmyself!=null) {
     //this jsp called itself in the form.
    //now do it:
    System.out.println("User Defined Action Sample");
    //if here then successful:
    %>
    <%
  } else {
    CMBWorkItem wi=connection.getWorkFlowQueryService().getWorkItem(workflowname,nodename,owner);
    // invoke the java class for the user defined action
    try {
     ActionSample actionClass=new ActionSample(); 
     actionClass.setConnection(connection);
     actionClass.doAction(wi);
     }//end try
      catch (Exception e) {
       System.out.println("Error running ActionSample" );
      }
   %>

<%}%>
