' @copyright(disclaimer) 
' Licensed Materials - Property of IBM
' IBM  Enterprise Information Portal for Multiplatforms V8.1  (program number 5724-B43)
' (c ) Copyright IBM Corp. 1998,  2002. All Rights Reserved.
' 
' US Government Users Restricted Rights
' Use, duplication or disclosure restricted by GSA ADP Schedule
' Contract with IBM Corp.
' 
' DISCLAIMER OF WARRANTIES :
' 
' Permission is granted to copy and modify this Sample code, and to
' distribute modified versions provided that both the copyright
' notice,- and this permission notice and warranty disclaimer appear in all copies and 
' modified versions. 
' 
' THIS SAMPLE CODE IS LICENSED TO YOU AS-IS. 
' IBM AND ITS SUPPLIERS AND LICENSORS DISCLAIM ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, 
' IN SUCH SAMPLE CODE, INCLUDING THE WARRANTY OF NON-INFRINGEMENT AND THE IMPLIED 
' WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT WILL 
' IBM OR ITS LICENSORS OR SUPPLIERS BE LIABLE FOR ANY DAMAGES ARISING OUT OF THE USE OF OR 
' INABILITY TO USE THE SAMPLE CODE, DISTRIBUTION OF THE SAMPLE CODE, OR COMBINATION OF THE 
' SAMPLE CODE WITH ANY OTHER CODE. IN NO EVENT SHALL IBM OR ITS LICENSORS AND 
' SUPPLIERS BE LIABLE FOR ANY LOST REVENUE, LOST PROFITS OR DATA, OR FOR DIRECT, INDIRECT, 
' SPECIAL, CONSEQUENTIAL,INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF 
' THE THEORY OF LIABILITY,-, EVEN IF IBM OR ITS LICENSORS OR SUPPLIERS HAVE BEEN ADVISED 
' OF THE POSSIBILITY OF SUCH DAMAGES.
'
' @endCopyright

VERSION 5.00
Begin VB.Form ProcessRes 
   Caption         =   "Entities and attributes"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form2"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox ResultTable 
      Height          =   3255
      Left            =   0
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   0
      Top             =   0
      Width           =   4695
   End
End
Attribute VB_Name = "ProcessRes"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False


Public Sub ProcessEntityDefResults(ds As DXDatastoreIP, results As DXSequentialCollectionIP)
  Dim cnt As Integer
  cnt = 0
  Dim cnt2 As Integer
  cnt2 = 0
  
  ' First retrieve the documents/folders from the results collection
  Dim entDef As DXEntityDefIP
  Dim cursor As DXSequentialIteratorIP
  Dim attrResults As DXSequentialCollectionIP
  Dim strEntity As String
  Dim attrDef As DXAttrDefIP
  Dim cursor2 As DXSequentialIteratorIP
  
  Set cursor = results.createIterator
  
  Do While cursor.more
    Set entDef = cursor.Next
    cnt = cnt + 1
    ResultTable.Text = ResultTable.Text & "=====> Entity " & cnt & " <=====" & vbCrLf
    ResultTable.Text = ResultTable.Text & "  Entity Name: " & entDef.getName & vbCrLf
    ResultTable.Text = ResultTable.Text & "  Attributes : " & vbCrLf
    strEntity = entDef.getName
    Set attrResults = ds.listEntityAttrs(strEntity)
    Set cursor2 = attrResults.createIterator
    cnt2 = 0
    Do While cursor2.more
     Set attrDef = cursor2.Next
     cnt2 = cnt2 + 1
     ResultTable.Text = ResultTable.Text & "  ===> Attribute " & cnt2 & " <=====" & vbCrLf
     ResultTable.Text = ResultTable.Text & "    Name       : " & attrDef.getName & vbCrLf
     ResultTable.Text = ResultTable.Text & "    Description: " & attrDef.getDescription & vbCrLf
     ResultTable.Text = ResultTable.Text & "    Id         : " & attrDef.getId & vbCrLf
     ResultTable.Text = ResultTable.Text & "    Maximum    : " & attrDef.getMax & vbCrLf
     ResultTable.Text = ResultTable.Text & "    Minimum    : " & attrDef.getMin & vbCrLf
     ResultTable.Text = ResultTable.Text & "    Precision  : " & attrDef.getPrecision & vbCrLf
     ResultTable.Text = ResultTable.Text & "    Scale      : " & attrDef.getScale & vbCrLf
     ResultTable.Text = ResultTable.Text & "    Size       : " & attrDef.getSize & vbCrLf
     ResultTable.Text = ResultTable.Text & "    String Type: " & attrDef.getStringType & vbCrLf
     ResultTable.Text = ResultTable.Text & "    Type       : " & attrDef.getType & vbCrLf
    Loop
    ResultTable.Text = ResultTable.Text & "  **** End of Attributes for entity " & entDef.getName & " ****" & vbCrLf
  Loop
End Sub

